/****************************************************************************
** AMCCmdServerSocket meta object code from reading C++ file 'amccmdserversocket.h'
**
** Created: Thu Jan 29 00:51:55 2004
**      by: The Qt MOC ($Id: amccmdserversocket.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "amccmdserversocket.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *AMCCmdServerSocket::className() const
{
    return "AMCCmdServerSocket";
}

QMetaObject *AMCCmdServerSocket::metaObj = 0;

void AMCCmdServerSocket::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QServerSocket::className(), "QServerSocket") != 0 )
	badSuperclassWarning("AMCCmdServerSocket","QServerSocket");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString AMCCmdServerSocket::tr(const char* s)
{
    return qApp->translate( "AMCCmdServerSocket", s, 0 );
}

QString AMCCmdServerSocket::tr(const char* s, const char * c)
{
    return qApp->translate( "AMCCmdServerSocket", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* AMCCmdServerSocket::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QServerSocket::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (AMCCmdServerSocket::*m1_t0)();
    typedef void (QObject::*om1_t0)();
    typedef void (AMCCmdServerSocket::*m1_t1)();
    typedef void (QObject::*om1_t1)();
    typedef void (AMCCmdServerSocket::*m1_t2)(int);
    typedef void (QObject::*om1_t2)(int);
    typedef void (AMCCmdServerSocket::*m1_t3)();
    typedef void (QObject::*om1_t3)();
    m1_t0 v1_0 = &AMCCmdServerSocket::readClient;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &AMCCmdServerSocket::discardClient;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    m1_t2 v1_2 = &AMCCmdServerSocket::error;
    om1_t2 ov1_2 = (om1_t2)v1_2;
    m1_t3 v1_3 = &AMCCmdServerSocket::timeout;
    om1_t3 ov1_3 = (om1_t3)v1_3;
    QMetaData *slot_tbl = QMetaObject::new_metadata(4);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(4);
    slot_tbl[0].name = "readClient()";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Private;
    slot_tbl[1].name = "discardClient()";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Private;
    slot_tbl[2].name = "error(int)";
    slot_tbl[2].ptr = (QMember)ov1_2;
    slot_tbl_access[2] = QMetaData::Private;
    slot_tbl[3].name = "timeout()";
    slot_tbl[3].ptr = (QMember)ov1_3;
    slot_tbl_access[3] = QMetaData::Private;
    typedef void (AMCCmdServerSocket::*m2_t0)();
    typedef void (QObject::*om2_t0)();
    typedef void (AMCCmdServerSocket::*m2_t1)();
    typedef void (QObject::*om2_t1)();
    typedef void (AMCCmdServerSocket::*m2_t2)(QString);
    typedef void (QObject::*om2_t2)(QString);
    typedef void (AMCCmdServerSocket::*m2_t3)(QString);
    typedef void (QObject::*om2_t3)(QString);
    typedef void (AMCCmdServerSocket::*m2_t4)(QString);
    typedef void (QObject::*om2_t4)(QString);
    m2_t0 v2_0 = &AMCCmdServerSocket::newConnect;
    om2_t0 ov2_0 = (om2_t0)v2_0;
    m2_t1 v2_1 = &AMCCmdServerSocket::endConnect;
    om2_t1 ov2_1 = (om2_t1)v2_1;
    m2_t2 v2_2 = &AMCCmdServerSocket::cmdFromCC;
    om2_t2 ov2_2 = (om2_t2)v2_2;
    m2_t3 v2_3 = &AMCCmdServerSocket::reportFromCC;
    om2_t3 ov2_3 = (om2_t3)v2_3;
    m2_t4 v2_4 = &AMCCmdServerSocket::errorFromSocket;
    om2_t4 ov2_4 = (om2_t4)v2_4;
    QMetaData *signal_tbl = QMetaObject::new_metadata(5);
    signal_tbl[0].name = "newConnect()";
    signal_tbl[0].ptr = (QMember)ov2_0;
    signal_tbl[1].name = "endConnect()";
    signal_tbl[1].ptr = (QMember)ov2_1;
    signal_tbl[2].name = "cmdFromCC(QString)";
    signal_tbl[2].ptr = (QMember)ov2_2;
    signal_tbl[3].name = "reportFromCC(QString)";
    signal_tbl[3].ptr = (QMember)ov2_3;
    signal_tbl[4].name = "errorFromSocket(QString)";
    signal_tbl[4].ptr = (QMember)ov2_4;
    metaObj = QMetaObject::new_metaobject(
	"AMCCmdServerSocket", "QServerSocket",
	slot_tbl, 4,
	signal_tbl, 5,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

// SIGNAL newConnect
void AMCCmdServerSocket::newConnect()
{
    activate_signal( "newConnect()" );
}

// SIGNAL endConnect
void AMCCmdServerSocket::endConnect()
{
    activate_signal( "endConnect()" );
}

// SIGNAL cmdFromCC
void AMCCmdServerSocket::cmdFromCC( QString t0 )
{
    activate_signal_string( "cmdFromCC(QString)", t0 );
}

// SIGNAL reportFromCC
void AMCCmdServerSocket::reportFromCC( QString t0 )
{
    activate_signal_string( "reportFromCC(QString)", t0 );
}

// SIGNAL errorFromSocket
void AMCCmdServerSocket::errorFromSocket( QString t0 )
{
    activate_signal_string( "errorFromSocket(QString)", t0 );
}
